<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="Narrative" package="performa.orm">
                
        <MULTIPLEREFERENCE  name="Results"      type="FactorScoreResult"    backreferenceName="Narrative" />
        <MULTIPLEREFERENCE  name="FactorScores" type="FactorScore"          backreferenceName="Narrative" />

        <TABLE  name="tl_narrative" tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="NarrativeCode"    type="String"   dbcol="narrative_code"      length="15" mandatory="true"/>
            <ATTRIB name="Description"      type="String"   dbcol="narrative_desc"      length="30"/>
            <ATTRIB name="GraphicNotes"     type="String"   dbcol="graphic_notes"/>
            <ATTRIB name="SummaryNotes"     type="String"   dbcol="exec_sum_notes"/>           
            <ATTRIB name="ModConnect"       type="String"   dbcol="mod_connect_flag"    length="15"/>
            <ATTRIB name="NarrativeNotes"   type="String"   dbcol="narrative_notes"/>
            <ATTRIB name="DevelNarrative"   type="String"   dbcol="devel_narrative"     length="128"/>
            <ATTRIB name="Question"         type="String"   dbcol="question"/>

            <SINGLEREFERENCE    name="Level"    type="Level"    dbcol="level_number"    backreferenceName="Narratives"/>
            
        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_narrative.object_id is not null"    orderBy="tl_narrative.object_id" />
        
    </BUSINESSCLASS>
    
</ROOT>